### Method

# Vips Image set_string

#### Declaration [src]

    void
    vips_image_set_string (
      VipsImage* image,
      const char* name,
      const char* str
    )

#### Description [src]

Attaches `str` as a metadata item on `image` as `name`. A convenience function over `vips_image_set()` using `VIPS_TYPE_REF_STRING`.

See also

`vips_image_get_double()`, `vips_image_set()`.

#### Parameters

`name`

  Type: `const char*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`str`

  Type: `const char*`

  Metadata value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.